## osinfo_avatar_format

osinfo_avatar_format — The required format of avatar for an install script

## Functions

OsinfoAvatarFormat * | osinfo_avatar_format_new ()
GList * | osinfo_avatar_format_get_mime_types ()
gint | osinfo_avatar_format_get_width ()
gint | osinfo_avatar_format_get_height ()
gboolean | osinfo_avatar_format_get_alpha ()

## Types and Values

#define | OSINFO_TYPE_AVATAR_FORMAT
#define | OSINFO_AVATAR_FORMAT_PROP_MIME_TYPE
#define | OSINFO_AVATAR_FORMAT_PROP_WIDTH
#define | OSINFO_AVATAR_FORMAT_PROP_HEIGHT
#define | OSINFO_AVATAR_FORMAT_PROP_ALPHA

## Description

## Functions

### osinfo_avatar_format_new ()

    OsinfoAvatarFormat *
    osinfo_avatar_format_new (void);

Construct a new user avatar file for an OsinfoInstallScript.

#### Returns

the necessary information to create an avatar for an user.

[transfer full]

Since: 0.2.8

### osinfo_avatar_format_get_mime_types ()

    GList *
    osinfo_avatar_format_get_mime_types (OsinfoAvatarFormat *avatar);

#### Parameters

avatar | the avatar info |

#### Returns

the required mime-types of the avatar.

[transfer container][element-type utf8]

Since: 0.2.2

### osinfo_avatar_format_get_width ()

    gint
    osinfo_avatar_format_get_width (OsinfoAvatarFormat *avatar);

#### Parameters

avatar | the avatar info |

#### Returns

the required width (in pixels) of the avatar, or -1.

Since: 0.2.2

### osinfo_avatar_format_get_height ()

    gint
    osinfo_avatar_format_get_height (OsinfoAvatarFormat *avatar);

#### Parameters

avatar | the avatar info |

#### Returns

the required height (in pixels) of the avatar, or -1.

Since: 0.2.2

### osinfo_avatar_format_get_alpha ()

    gboolean
    osinfo_avatar_format_get_alpha (OsinfoAvatarFormat *avatar);

#### Parameters

avatar | the avatar info |

#### Returns

Whether alpha channel is supported in the avatar.

Since: 0.2.2

## Types and Values

### OSINFO_TYPE_AVATAR_FORMAT

    #define OSINFO_TYPE_AVATAR_FORMAT (osinfo_avatar_format_get_type ())

### OSINFO_AVATAR_FORMAT_PROP_MIME_TYPE

    #define OSINFO_AVATAR_FORMAT_PROP_MIME_TYPE "mime-type"

### OSINFO_AVATAR_FORMAT_PROP_WIDTH

    #define OSINFO_AVATAR_FORMAT_PROP_WIDTH     "width"

### OSINFO_AVATAR_FORMAT_PROP_HEIGHT

    #define OSINFO_AVATAR_FORMAT_PROP_HEIGHT    "height"

### OSINFO_AVATAR_FORMAT_PROP_ALPHA

    #define OSINFO_AVATAR_FORMAT_PROP_ALPHA     "alpha"

## See Also

OsinfoInstallScript